import { BuildState } from './state';
export declare function write_sitemap_if_needed(state: BuildState): Promise<void>;
export interface SitemapEntry {
    url: string;
    lastmod: string;
    change_freq?: ChangeFreq;
    priority?: number;
}
export type ChangeFreq = 'always' | 'hourly' | 'daily' | 'weekly' | 'monthly' | 'yearly' | 'never';
