"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.hash_obj = exports.hash_str = void 0;
const crypto_1 = require("crypto");
function hash_str(str) {
    const hash = (0, crypto_1.createHash)('sha512');
    hash.update(str);
    return hash.digest('base64');
}
exports.hash_str = hash_str;
function hash_obj(obj) {
    // todo: use something more stable
    const str = JSON.stringify(obj);
    return hash_str(str);
}
exports.hash_obj = hash_obj;
//# sourceMappingURL=hash.js.map